Name:		filesystem
Version:	2.1.9
Release:	%mkrel 21
Summary:	The basic directory layout for a Linux system
License:	Public Domain
Group:		System/Base
URL:		http://www.mageia.org/

# RPM runtime check in the buildroot; this ensures we can not install the
# incompatible filesystem.rpm on unconverted systems
Requires: rpmlib(X-CheckUnifiedSystemdir)
# Some files are owned by group daemon, mail (mga#9326). Do not remove before asking on dev ml:
Requires: setup

%description
The filesystem package is one of the basic packages that is installed on
a Mageia Linux system. Filesystem  contains the basic directory layout
for a Linux operating system, including the correct permissions for the
directories.

%install
cd %{buildroot}

mkdir -p mnt media boot
mkdir -p opt proc root sys tmp
mkdir -p home initrd srv

mkdir -p %{buildroot}%{_sysconfdir}/{profile.d,security,ssl,sysconfig,default,opt,xinetd.d}

mkdir -p %{buildroot}%{_prefix}/{etc,src,lib}
mkdir -p %{buildroot}{%{_bindir},%{_libdir},%{_includedir},%{_sbindir},%{_datadir}}
mkdir -p %{buildroot}%{_datadir}/{misc,pixmaps,applications,desktop-directories,dict,doc,empty,fonts}
mkdir -p %{buildroot}%{_datadir}/color/{icc,cmms,settings}

ln -snf usr/bin
ln -snf usr/sbin
ln -snf usr/lib
ln -snf usr/%{_lib}

mkdir -p lib/modules

# man
mkdir -p %{buildroot}/%{_mandir}/man{1,2,3,4,5,6,7,8,9,n}
mkdir -p %{buildroot}/%{_infodir}
# games
mkdir -p %{buildroot}/{%{_gamesbindir},%{_gamesdatadir}}
mkdir -p %{buildroot}/{%{_libdir},%{_prefix}/lib}/games

mkdir -p %{buildroot}/%{_libdir}/gcc-lib
mkdir -p %{buildroot}/%{_prefix}/lib/gcc-lib

mkdir -p usr/local/{bin,doc,etc,games,lib,%{_lib},sbin,src,libexec,include}
mkdir -p usr/local/share/{applications,desktop-directories}
mkdir -p usr/local/share/{man/man{1,2,3,4,5,6,7,8,9,n},info}
mkdir -p usr/share/ppd

mkdir -p run
mkdir -p var/{local,log,nis,preserve,lib,empty}
mkdir -p var/spool/{mail,lpd}
mkdir -p var/lib/{games,misc}
mkdir -p var/{tmp,db,cache/man,opt,games,yp}

ln -snf ../run var/run
ln -snf ../run/lock var/lock

ln -snf ../var/tmp usr/tmp
ln -snf spool/mail var/mail

%pretrans -p <lua>
--#
--# If we are running in pretrans in a fresh root, there is no /usr and symlinks.
--# We cannot be sure, to be the very first rpm in the transaction list,
--# so, let's create the toplevel symlinks here and the directories they point to.
--# When our rpm is unpacked by cpio, it will set all permissions and modes later.
--#

if posix.stat("/usr") == nil then
    posix.mkdir("/usr")
end

for i,dir in ipairs({"/lib", "/%{_lib}", "/sbin", "/bin"}) do
    if posix.stat("/usr"..dir) == nil then
        posix.mkdir("/usr"..dir)
        if posix.stat(dir, "mode") == nil then
            posix.symlink("usr"..dir, dir)
        end
    end
end

return 0

%post -p <lua>
posix.symlink("../run", "/var/run")
posix.symlink("../run/lock", "/var/lock")

%files
%defattr(0755,root,root)
/bin
/boot
/etc
/home
/initrd
/lib
/srv
%if %{_lib} != lib
/%{_lib}
%endif
%_sysconfdir/xinetd.d
%dir /media
%dir /mnt
%dir /opt
/proc
/sys
%attr(750,root,root) /root
/run
/sbin
%attr(1777,root,root) /tmp
%{_prefix}
%dir /var
/var/db
/var/lib
/var/local
/var/empty
/var/lock
/var/cache
/var/log
/var/mail
/var/nis
/var/opt
/var/preserve
/var/run
%dir /var/spool
%attr(0755,root,daemon) %dir /var/spool/lpd
%attr(775,root,mail) /var/spool/mail
%attr(1777,root,root) /var/tmp
/var/yp


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.1.9-21.mga4
+ Revision: 523268
- Mageia 4 Mass Rebuild

* Mon Apr 01 2013 tv <tv> 2.1.9-20.mga3
+ Revision: 407082
- requires setup so that it got installed earlier in transactions,
  thus fixing bogus file permissions (mga#9326)

* Fri Jan 11 2013 umeabot <umeabot> 2.1.9-19.mga3
+ Revision: 350325
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 21 2012 colin <colin> 2.1.9-18.mga3
+ Revision: 273158
- Update for usrmove

* Tue Mar 13 2012 nanardon <nanardon> 2.1.9-17.mga2
+ Revision: 223193
- fix location of /usr/share/ppd
- fix #2686: provide /usr/share/ppd

* Mon Jan 23 2012 dmorgan <dmorgan> 2.1.9-15.mga2
+ Revision: 200134
- Own %%_sysconfdir/xinetd.d

* Sun Sep 11 2011 misc <misc> 2.1.9-14.mga2
+ Revision: 142532
- add /srv/ and /etc/opt, as they were removed from lsb packages

* Wed Mar 30 2011 ahmad <ahmad> 2.1.9-13.mga1
+ Revision: 79122
- actually /etc is the way to go; don't create /etc/skel here, it's already owned/created
  by etcskel (spotted by lmenut);  etcskel is already required by basesystem-minimal

* Wed Mar 30 2011 ahmad <ahmad> 2.1.9-12.mga1
+ Revision: 79076
- own %%{_datadir}/desktop-directories
- own /usr/local/share/{applications,desktop-directories}
- use '%%dir /etc' so that filesystem rpm doesn't own e.g. /etc/skel/ which is
  already owned by etcskel

* Sun Jan 02 2011 tmb <tmb> 2.1.9-11.mga1
+ Revision: 36
- imported package filesystem


* Sun Jan  2 2011 Thomas Backlund <tmb@mageia.org> 2.1.9-11.mga1
- initial import
- change url
- change Mandriva -> Mageia in description

* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1.9-10mdv2011.0
+ Revision: 605129
- rebuild

* Fri Jan 08 2010 Frederic Crozat <fcrozat@mandriva.com> 2.1.9-9mdv2010.1
+ Revision: 487466
- Add colors directories

* Sat Dec 05 2009 Olivier Thauvin <nanardon@mandriva.org> 2.1.9-8mdv2010.1
+ Revision: 473995
- don't requires setup package, no reason to require it, and can help about #56228

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.1.9-7mdv2010.0
+ Revision: 424435
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 2.1.9-6mdv2009.1
+ Revision: 350993
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.1.9-5mdv2009.0
+ Revision: 220792
- rebuild

* Wed Mar 19 2008 Frederic Crozat <fcrozat@mandriva.com> 2.1.9-4mdv2008.1
+ Revision: 188863
- No longer create /mnt/disk, /media/floppy and /media/cdrom, they are handled by hal

* Sun Mar 02 2008 Olivier Blin <oblin@mandriva.com> 2.1.9-3mdv2008.1
+ Revision: 177778
- make /var/lock owned by the uucp group (#16739)

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 2.1.9-2mdv2008.1
+ Revision: 149724
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jul 27 2007 Olivier Thauvin <nanardon@mandriva.org> 2.1.9-1mdv2008.0
+ Revision: 56383
- provide a /var/empty at it is need by some services

* Thu Jul 05 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.1.8-6mdv2008.0
+ Revision: 48313
- removing trigger which was supposed to handle the
  /usr/X11R6/lib/X11 transiction to /usr/lib/X11. It doesn't handle
  all upgrade scenarios (see #23423). A better solution was to fix
  the directories on x11-server-common package and there conflict
  with older filesystem packages which own /usr/X11R6/lib/X11/.

* Tue Dec 05 2006 Pixel <pixel@mandriva.com> 2.1.8-5mdv2007.0
+ Revision: 91242
- from from /mnt to /media for removable media (cdrom, floppy, usb...)

  + Olivier Thauvin <nanardon@mandriva.org>
    - make spec readable

* Fri Aug 04 2006 Olivier Thauvin <nanardon@mandriva.org> 2.1.8-4mdv2007.0
+ Revision: 49578
- readd trigger, but using lua to avoid one dependencies
- don't provide /mnt/*

* Thu Aug 03 2006 Olivier Thauvin <nanardon@mandriva.org> 2.1.8-3mdv2007.0
+ Revision: 43018
- avoid a trigger to avoid sh requrirement, for the other, no solution currently :\
- Import filesystem

* Thu Jun 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.8-2mdv2007.0
- add /etc/default
- some spec cleanup

* Tue May 23 2006 Pixel <pixel@mandriva.com> 2.1.8-2mdk
- move things from /usr/X11R6/lib/X11 into /usr/lib/X11 since /usr/lib/X11 is no more a symlink
  (only on upgrade, later on, /usr/X11R6/lib/X11 and /usr/lib/X11 can have separate lives...)

* Sat May 20 2006 Pixel <pixel@mandriva.com> 2.1.8-1mdk
- drop links /usr/%%lib/X11 /usr/bin/X11
- drop dirs /usr/X11R6 /usr/X11R6/bin /usr/X11R6/include /usr/X11R6/lib /usr/X11R6/man
  (since /usr/X11R6 is deprecated)

* Wed Feb 08 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.1.7-2mdk
- fix typo in description (#20993)

* Thu Feb 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.1.7-1mdk
- Own /usr/share/fonts
- fix url

* Thu Jun 16 2005 Olivier Thauvin <nanardon@mandriva.org> 2.1.6-1mdk
- fix link /usr/%%lib/X11 (to /usr/lib/X11 on lib64, hope it's ok)
- spec cleanup

* Mon Jan 05 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-1mdk
- simplified spec file
- make it lib64 aware (so no more noarch)
- switched to direct build of the directories
- added /usr/share/dict /etc/sysconfig /etc/skel /etc/ssl
